package com.its.pis.xnettcp.vds.protocol;

import com.its.app.utils.BcdConverter;
import com.its.app.utils.SysUtils;

/**
 * 개별차량 데이터 Request, 제어기에게 동기화 명령을 보낸 직후 개별차량 데이터 Request 명령 전송
 */
public class VdsReqRTC extends VdsReqFramePacket {

    public VdsReqRTC(short groupNo, short controllerNo) {
        super(groupNo, controllerNo, VdsProtocol.vds_RTC);
        setRealTimeClock();
    }

    public void setRealTimeClock() {
        this.body = BcdConverter.stringToBcd(SysUtils.getSysTime());
    }
}
